Skip to main content
GET
Megafilter for Pools

Notes

  • Use checks to filter pools:
    • no_honeypot — exclude honeypot pools (GoPlus & De.Fi Scanner)
    • good_gt_score — GT Score of at least 75
    • on_coingecko — tokens listed on CoinGecko
    • has_social — social links and token info updated
  • dexes param can only be used when a single networks is specified.
  • Returns up to 20 pools per page.
  • Unverified token market cap returns null — the displayed value on GeckoTerminal may match FDV and might not be accurate.
  • Use include to return related attributes under the top-level included key.
  • include_unknown_honeypot_tokens=true includes tokens with unknown honeypot status (only works with checks=no_honeypot).
Honeypot data is not supported for Solana.

SDK Examples

Authorizations

x-cg-pro-api-key
string
header
required

Learn how to set up your API key

Query Parameters

networks
string

Filter pools by networks, comma-separated if more than one. *refers to /onchain/networks.

dexes
string

Filter pools by DEXes, comma-separated if more than one. *refers to /onchain/networks/{network}/dexes.

include
string

Attributes to include, comma-separated if more than one. Available values: base_token, quote_token, dex, network

page
integer

Page through results. Default value: 1

sort
enum<string>

Sort the pools by field. Default: h6_trending

Available options:
m5_trending,
h1_trending,
h6_trending,
h24_trending,
h24_tx_count_desc,
h24_tx_count_asc,
h24_volume_usd_desc,
h24_volume_usd_asc,
m5_price_change_percentage_asc,
h1_price_change_percentage_asc,
h6_price_change_percentage_asc,
h24_price_change_percentage_asc,
m5_price_change_percentage_desc,
h1_price_change_percentage_desc,
h6_price_change_percentage_desc,
h24_price_change_percentage_desc,
fdv_usd_asc,
fdv_usd_desc,
reserve_in_usd_asc,
reserve_in_usd_desc,
price_asc,
price_desc,
pool_created_at_desc
fdv_usd_min
number

Minimum fully diluted value in USD.

fdv_usd_max
number

Maximum fully diluted value in USD.

reserve_in_usd_min
number

Minimum reserve in USD.

reserve_in_usd_max
number

Maximum reserve in USD.

h24_volume_usd_min
number

Minimum 24hr volume in USD.

h24_volume_usd_max
number

Maximum 24hr volume in USD.

pool_created_hour_min
number

Minimum pool age in hours.

pool_created_hour_max
number

Maximum pool age in hours.

tx_count_min
integer

Minimum transaction count.

tx_count_max
integer

Maximum transaction count.

tx_count_duration
enum<string>

Duration for transaction count metric. Default: 24h

Available options:
5m,
1h,
6h,
24h
buys_min
integer

Minimum number of buy transactions.

buys_max
integer

Maximum number of buy transactions.

buys_duration
enum<string>

Duration for buy transactions metric. Default: 24h

Available options:
5m,
1h,
6h,
24h
sells_min
integer

Minimum number of sell transactions.

sells_max
integer

Maximum number of sell transactions.

sells_duration
enum<string>

Duration for sell transactions metric. Default: 24h

Available options:
5m,
1h,
6h,
24h
price_change_percentage_min
number

Minimum price change percentage.

price_change_percentage_max
number

Maximum price change percentage.

price_change_percentage_duration
enum<string>

Duration for price change percentage metric. Default: 24h

Available options:
5m,
1h,
6h,
24h
buy_tax_percentage_min
number

Minimum buy tax percentage.

buy_tax_percentage_max
number

Maximum buy tax percentage.

sell_tax_percentage_min
number

Minimum sell tax percentage.

sell_tax_percentage_max
number

Maximum sell tax percentage.

holder_count_min
integer

Minimum holder count.

holder_count_max
integer

Maximum holder count.

top_10_holders_percentage_min
number

Minimum top 10 holders percentage.

top_10_holders_percentage_max
number

Maximum top 10 holders percentage.

checks
string

Filter options for various checks, comma-separated if more than one. Available values: no_honeypot, good_gt_score, on_coingecko, has_social

include_unknown_honeypot_tokens
boolean

When checks includes no_honeypot, set to true to also include unknown honeypot tokens. Default: false

Response

200 - application/json

Filtered pools across all networks

data
object[]
required
included
object[]

Included related resources, present when include parameter is specified